IRPCVaultsAdmin.CopyVault

View as Markdown

Administration API / specialized admin session

Copies the specified vault into a new vault (creates the target vault).

ServiceVault management MFiles.IRPCVaultsAdmin
gRPC method/MFiles.IRPCVaultsAdmin/CopyVault
HTTP (mf-http-grpc)POST /grpc/v1/copy-vault
RequestCopyVaultRequest
ResponseCopyVaultResponse
Book and levelAdministration API, specialized
Kindadmin
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionno
Streamingnone (unary)

Remarks

Request: CopyVaultRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
copy_jobCopyVaultJobThe vault to copy (source_vault), what to copy (options) and the definition of the new vault (target_vault).
copy_job.source_vaultstringThe GUID of the vault to copy.
copy_job.optionsCOPYFLAGSFlags that tell which data parts should be copied.
copy_job.options.allboolSpecifies all flags set; Including any future flags.
copy_job.options.all_databoolCopy all data. All other flags are ignored.
copy_job.options.value_listsboolCopy value list definitions.
copy_job.options.property_definitionsboolCopy property definitions.
copy_job.options.object_classesboolCopy classes and class groups.
copy_job.options.user_accountsboolCopy users and user groups.
copy_job.options.viewsboolCopy views.
copy_job.options.objectsboolCopy documents and other objects (metadata).
copy_job.options.value_list_itemsboolCopy value list contents.
copy_job.options.workflowsboolCopy workflows.
copy_job.options.external_locationsboolCopy connections to external locations.
copy_job.options.event_logboolCopy event log.
copy_job.options.event_handlersboolCopy internal event handlers.
copy_job.options.translationsboolCopy languages and translations.
copy_job.options.exported_data_setsboolCopy exported data sets.
copy_job.options.scheduled_export_import_jobsboolCopy scheduled export and import jobs.
copy_job.options.applicationsboolCopy applications.
copy_job.options.filesboolCopy files.
copy_job.options.use_provided_vault_guidboolUse the provided target vault GUID.
copy_job.target_vaultVaultThe definition of the target vault. The GUID field is ignored. The server will generate a new GUID for the new vault.
copy_job.target_vault.vaultVaultBasicBasic data.
copy_job.target_vault.main_data_folderstringThe main physical folder of this vault on the server (e.g. C:\Program Files\M-Files\Server Vaults\MyVault).
copy_job.target_vault.additional_data_folders[]repeated AdditionalFolderThe specification of the additional file data folders.
copy_job.target_vault.database_infoSQLDatabaseThe vault's SQL database.
copy_job.target_vault.file_data_storageFileDataStorageIdentifies file data storage to use. Typically specifies that the file data storage is determined automatically.Values: FILE_DATA_STORAGE_DEFAULT (0), FILE_DATA_STORAGE_DISK (1), FILE_DATA_STORAGE_DATABASE (2), FILE_DATA_STORAGE_EXTERNAL (3), FILE_DATA_STORAGE_MASTER (4).
copy_job.target_vault.file_data_connection_stringstringThe connection string that identifies the location, protocol, and credentials for the file data storage of this vault. For example, this might specify a storage account, a protocol, and a container name for Azure's BLOB Services. Can be unset or empty.
copy_job.attach_vault_optionsAttachVaultOptionsOptions for controlling the attaching of the vault.
copy_job.attach_vault_options.disableExternalConnectionOptionsWhich vault's external data connection points must be put disabled?
copy_job.attach_vault_options.update_attachment_guidboolSpecify true if the attachment GUID should be updated. Usually, it is desirable to update the attachment GUID each time the vault is re-attached.
copy_job.attach_vault_options.fail_attach_if_bring_online_failsboolA flag that controls if attaching the vault must fail if its online operations do not start successfully. Typically this is false meaning that starting online operations can fail although attaching the vault succeeds.
copy_job.attach_vault_options.enforce_file_data_encryptionboolA flag that controls if file data encryption should be turned on in the vault when it is attached.
copy_job.attach_vault_options.disable_local_indexesboolA flag that controls if the local indexes such as dtSearch are disabled when the vault is attached.
copy_job.attach_vault_options.allow_only_vault_temp_path_for_content_replicationboolIf true the temporary processing location of cloud replication jobs are cleared and other replication jobs are disabled.
copy_job.attach_vault_options.ignore_vault_external_data_connection_pointsboolIf true vault's external data connection points are ignored when vault is already in msm cluster.

Response: CopyVaultResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
task_idint32The ID of the server-level scheduled job that copies the vault.